## sosreport 3.1

=== Makefile ===
#
# Makefile for sos system support tools
#

NAME	= sos
VERSION = $(shell echo `awk '/^Version:/ {print $$2}' sos.spec`)
MAJOR   = $(shell echo $(VERSION) | cut -f 1 -d '.')
MINOR   = $(shell echo $(VERSION) | cut -f 2 -d '.')
RELEASE = $(shell echo `awk '/^Release:/ {gsub(/\%.*/,""); print $2}' sos.spec`)
REPO = https://github.com/sosreport/sosreport

SUBDIRS = po sos sos/plugins sos/policies
PYFILES = $(wildcard *.py)
# OS X via brew
# MSGCAT = /usr/local/Cellar/gettext/0.18.1.1/bin/msgcat
MSGCAT = msgcat

DIST_BUILD_DIR = dist-build
RPM_DEFINES = --define "_topdir %(pwd)/$(DIST_BUILD_DIR)" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir %{_topdir}" \
	--define "_sourcedir %{_topdir}"
RPM = rpmbuild
RPM_WITH_DIRS = $(RPM) $(RPM_DEFINES)
ARCHIVE_DIR = $(DIST_BUILD_DIR)/$(NAME)-$(VERSION)

SRC_BUILD = $(DIST_BUILD_DIR)/sdist
PO_DIR = $(SRC_BUILD)/sos/po

build:
	for d in $(SUBDIRS); do make -C $$d; [ $$? = 0 ] || exit 1 ; done

install: updateversion
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/share/man/man5
	mkdir -p $(DESTDIR)/usr/share/$(NAME)/extras
	@gzip -c man/en/sosreport.1 > sosreport.1.gz
	@gzip -c man/en/sos.conf.5 > sos.conf.5.gz
	mkdir -p $(DESTDIR)/etc
	install -m755 sosreport $(DESTDIR)/usr/sbin/sosreport
	install -m644 sosreport.1.gz $(DESTDIR)/usr/share/man/man1/.
	install -m644 sos.conf.5.gz $(DESTDIR)/usr/share/man/man5/.
	install -m644 AUTHORS README.md $(DESTDIR)/usr/share/$(NAME)/.
	install -m644 $(NAME).conf $(DESTDIR)/etc/$(NAME).conf
	for d in $(SUBDIRS); do make DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done

updateversion:
	sed 's/@SOSVERSION@/$(VERSION)/g' sos/__init__.py.in > sos/__init__.py

$(NAME)-$(VERSION).tar.gz: clean
	@mkdir -p $(ARCHIVE_DIR)
	@tar -cv sosreport sos doc man po sos.conf AUTHORS LICENSE README.md sos.spec Makefile | tar -x -C $(ARCHIVE_DIR)
	@tar Ccvzf $(DIST_BUILD_DIR) $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION) --exclude-vcs

clean:
	@rm -fv *~ .*~ changenew ChangeLog.old $(NAME)-$(VERSION).tar.gz sosreport.1.gz sos.conf.5.gz
	@rm -rf rpm-build
	@for i in `find . -iname *.pyc`; do \
		rm $$i; \
	done; \
	for d in $(SUBDIRS); do make -C $$d clean ; done

srpm: clean $(NAME)-$(VERSION).tar.gz
	$(RPM_WITH_DIRS) -ts $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz

rpm: clean $(NAME)-$(VERSION).tar.gz
	$(RPM_WITH_DIRS) -tb $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz

deb: clean $(NAME)-$(VERSION).tar.gz
	@mv $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz ../$(NAME)-$(MAJOR)_$(MINOR).orig.tar.gz
	@debuild -us -uc -i

po: clean
	mkdir -p $(PO_DIR)
	for po in `ls po/*.po`; do \
		$(MSGCAT) -p -o $(PO_DIR)/sos_$$(basename $$po | awk -F. '{print $$1}').properties $$po; \
	done; \

	cp $(PO_DIR)/sos_en.properties $(PO_DIR)/sos_en_US.properties
	cp $(PO_DIR)/sos_en.properties $(PO_DIR)/sos.properties

test:
	nosetests -v --with-cover --cover-package=sos --cover-html

=== sos/Makefile ===
PYTHON=python
PACKAGE = $(shell basename `pwd`)
PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)

all:
	echo "nada"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/$(PKGDIR)
	for p in $(wildcard *.py) ; do \
		install -m 644 $$p $(DESTDIR)/$(PKGDIR)/$$p; \
	done
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/$(PKGDIR)', 1, '$(PYDIR)', 1)"

## sosreport 2.3~git20130509

=== debian/changelog ===
sosreport (2.3~git20130509-1) unstable; urgency=low

  * Package updated from git rev 395ad13da8
    Closes: #698329

 -- Adam Stokes <adam.stokes@ubuntu.com>  Fri, 31 May 2013 12:12:46 -0400

=== debian/control ===
Source: sosreport
Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
Section: admin
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), python (>=2.7), gettext, python-nose
Homepage: https://github.com/sosreport/sosreport

Package: sosreport
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git

%:
	dh $@ --with python2

override_dh_auto_test:

## sosreport 3.0

=== debian/changelog ===
sosreport (3.0-1~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1206118)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 30 Jul 2013 18:25:16 +0200

sosreport (3.0-1) unstable; urgency=low

  * New upstream release v3.0
    Features include:
    - Openstack, MAAS, Juju, and other cloud technologies
    - Extended policies to allow for easier cross distribution support.
    - Cross distribution support for Debian, Ubuntu, Fedora, and
      Red Hat Enterprise Linux
    - Increase execution speed of plugins
  * Fixes traceback error in the utilities log (Closes: #717401)
  * debian/copyright:
    - Add Company contributions notices in AUTHORS file.
  * setup.py:
    - Added to support packaging python modules via distutils.
  * debian/rules:
    - Fix build instructions to package sosreport as a private module.
  * debian/control:
    - Use XS-Python-Version and remove debian/pyversions.
  * tests/archive_tests.py:
    - Update unittests to work with latest api changes in the new release.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Sun, 21 Jul 2013 20:35:04 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), python (>=2.7), gettext, python-nose
 Homepage: https://github.com/sosreport/sosreport
+XS-Python-Version: 2.7
 
 Package: sosreport
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py \
	install \
	--install-lib=usr/share/sosreport/ \
	--install-data=usr/ \
	--install-scripts=usr/share/sosreport/ \
	--root=$(CURDIR)/debian/sosreport/ \
	--no-compile -O0

override_dh_clean:
	rm -rf build/
	rm -rf dist/
	find . -name '*.pyc' -delete

=== debian/watch ===
version=3
https://github.com/sosreport/sosreport/releases/tag/r3.0 /sosreport/sosreport/archive/r3.0.tar.gz

## sosreport 3.1

=== debian/changelog ===
sosreport (3.1-1ubuntu2) trusty; urgency=medium

  * Fix spurious "command not found" messages when running (LP: #1303745)
  * Add collection of /var/log/cloud-init*.log files (LP: #1301819)
  * Add collection of configuration files in /etc/network/interfaces.d (LP: #1303723)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 08 Apr 2014 08:58:08 -0500

sosreport (3.1-1ubuntu1) trusty; urgency=low

  * Fix issues with using sosreport -a. (LP: #1302808) 
  * Don't collect cobbler isos. (LP: #1302837)
  * Update standards version.

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Fri, 04 Apr 2014 15:40:13 -0500

sosreport (3.1-1) sid; urgency=low

  * New upstream release v3.1
    Features include:
    - Full Python 3 support
    - Further modularized openstack plugins
  * debian/rules:
    - Use pybuild
  * debian/control:
    - Use X-Python-Version: >= 3.3

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 15 Jan 2014 16:58:54 -0500

=== debian/watch ===
version=3
https://github.com/sosreport/sosreport/releases/tag/r3.0 /sosreport/sosreport/archive/r(.+).tar.gz

## sosreport 3.2

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 #
 
 NAME	= sos
-VERSION = $(shell echo `awk '/^Version:/ {print $$2}' sos.spec`)
-MAJOR   = $(shell echo $(VERSION) | cut -f 1 -d '.')
-MINOR   = $(shell echo $(VERSION) | cut -f 2 -d '.')
-RELEASE = $(shell echo `awk '/^Release:/ {gsub(/\%.*/,""); print $2}' sos.spec`)
-REPO = https://github.com/sosreport/sosreport
+VERSION := $(shell echo `awk '/^Version:/ {print $$2}' sos.spec`)
+MAJOR   := $(shell echo $(VERSION) | cut -f 1 -d '.')
+MINOR   := $(shell echo $(VERSION) | cut -f 2 -d '.')
+RELEASE := $(shell echo `awk '/^Release:/ {gsub(/\%.*/,""); print $2}' sos.spec`)
+REPO = https://github.com/sosreport/sos
 
 SUBDIRS = po sos sos/plugins sos/policies
 PYFILES = $(wildcard *.py)
@@ -69,10 +69,6 @@
 rpm: clean $(NAME)-$(VERSION).tar.gz
 	$(RPM_WITH_DIRS) -tb $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz
 
-deb: clean $(NAME)-$(VERSION).tar.gz
-	@mv $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz ../$(NAME)-$(MAJOR)_$(MINOR).orig.tar.gz
-	@debuild -us -uc -i
-
 po: clean
 	mkdir -p $(PO_DIR)
 	for po in `ls po/*.po`; do \

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SoS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SoS.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SoS"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SoS"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
sosreport (3.2-2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1403263)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 21 Dec 2014 12:17:47 +0100

sosreport (3.2-2) unstable; urgency=medium

  * fix archive permissions regression
    Closes: #769521

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 14 Nov 2014 10:55:34 +0100

sosreport (3.2-1) unstable; urgency=medium

  * Profiles for plugin selection
  * Improved log size limiting
  * File archiving enhancements and robustness improvements
  * Global plugin options:
        --verify, --log-size, --all-logs
  * Better plugin descriptions
  * Improved journalctl log capture
  * PEP8 compliant code base
  * oVirt support improvements
  * New plugins: hpasm, ctdb, dbus, oVirt engine hosted,
        MongoDB, ActiveMQ, OpenShift 2.0, MegaCLI, FCoE,
        python, Ubuntu, NUMA, Team network driver

 -- Adam Stokes <adam.stokes@ubuntu.com>  Sun, 12 Oct 2014 12:47:23 -0400

sosreport (3.1-1) unstable; urgency=low

  * New upstream release v3.1
    Features include:
    - Full Python 3 support
    - Further modularized openstack plugins
  * debian/rules:
    - Use pybuild
  * debian/control:
    - Use X-Python-Version: >= 3.3

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 15 Jan 2014 16:58:54 -0500

=== debian/control ===
Source: sosreport
Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
Uploaders: Adam Stokes <adam.stokes@ubuntu.com>
Section: admin
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
Homepage: https://github.com/sosreport/sos
X-Python3-Version: >= 3.3

Package: sosreport
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-six
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.

=== debian/watch ===
version=3
https://github.com/sosreport/sos/releases/tag/3.0 /sosreport/sos/archive/(.+).tar.gz

## sosreport 3.2+git276

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 RELEASE := $(shell echo `awk '/^Release:/ {gsub(/\%.*/,""); print $2}' sos.spec`)
 REPO = https://github.com/sosreport/sos
 
-SUBDIRS = po sos sos/plugins sos/policies
+SUBDIRS = po sos sos/plugins sos/policies docs
 PYFILES = $(wildcard *.py)
 # OS X via brew
 # MSGCAT = /usr/local/Cellar/gettext/0.18.1.1/bin/msgcat
@@ -25,9 +25,14 @@
 RPM = rpmbuild
 RPM_WITH_DIRS = $(RPM) $(RPM_DEFINES)
 ARCHIVE_DIR = $(DIST_BUILD_DIR)/$(NAME)-$(VERSION)
+DEB_ARCHIVE_DIR = $(DIST_BUILD_DIR)/$(NAME)report-$(VERSION)
 
 SRC_BUILD = $(DIST_BUILD_DIR)/sdist
 PO_DIR = $(SRC_BUILD)/sos/po
+
+.PHONY: docs
+docs:
+	make -C docs html man
 
 build:
 	for d in $(SUBDIRS); do make -C $$d; [ $$? = 0 ] || exit 1 ; done
@@ -52,8 +57,18 @@
 
 $(NAME)-$(VERSION).tar.gz: clean
 	@mkdir -p $(ARCHIVE_DIR)
-	@tar -cv sosreport sos doc man po sos.conf AUTHORS LICENSE README.md sos.spec Makefile | tar -x -C $(ARCHIVE_DIR)
+	@tar -cv sosreport sos docs man po sos.conf AUTHORS LICENSE README.md sos.spec Makefile | tar -x -C $(ARCHIVE_DIR)
 	@tar Ccvzf $(DIST_BUILD_DIR) $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION) --exclude-vcs
+
+$(NAME)report_$(VERSION).orig.tar.gz: clean
+	@mkdir -p $(DEB_ARCHIVE_DIR)
+	@tar --exclude-vcs \
+             --exclude=.travis.yml \
+             --exclude=debian \
+             --exclude=$(DIST_BUILD_DIR) -cv . | tar -x -C $(DEB_ARCHIVE_DIR)
+	@tar Ccvzf $(DIST_BUILD_DIR) $(DIST_BUILD_DIR)/$(NAME)report_$(VERSION).orig.tar.gz $(NAME)report-$(VERSION)
+	@mv $(DIST_BUILD_DIR)/$(NAME)report_$(VERSION).orig.tar.gz .
+	@rm -Rf $(DIST_BUILD_DIR)
 
 clean:
 	@rm -fv *~ .*~ changenew ChangeLog.old $(NAME)-$(VERSION).tar.gz sosreport.1.gz sos.conf.5.gz

=== sos/policies/Makefile ===
PYTHON=python
PACKAGE = $(shell basename `pwd`)
PYFILES = $(wildcard *.py)
PYVER := $(shell $(PYTHON) -c 'import sys; print("%.3s" %(sys.version))')
PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
PKGDIR = $(PYLIBDIR)/site-packages/sos/$(PACKAGE)

all:
	echo "nada"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/$(PKGDIR)
	for p in $(PYFILES) ; do \
		install -m 644 $$p $(DESTDIR)/$(PKGDIR)/$$p; \
	done
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/$(PKGDIR)', 1, '$(PYDIR)', 1)"

## sosreport 3.2+git276-g7da50d6

=== debian/changelog ===
sosreport (3.2+git276-g7da50d6-3ubuntu1) xenial; urgency=medium

  * Cherry-pick upstream patch to enable s390 plugin.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Mar 2016 11:41:25 +0000

sosreport (3.2+git276-g7da50d6-3build1) xenial; urgency=medium

  * No change rebuild to drop python3.4 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2016 14:45:25 +0000

sosreport (3.2+git276-g7da50d6-3) sid; urgency=medium

  * Fix CVE-2015-7529 - predictable tmp files usage

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 10 Dec 2015 14:17:18 +0100

sosreport (3.2+git276-g7da50d6-2) sid; urgency=medium

  * Added comprehensive changelog for previous upload
  * [activemq] - Honour all_logs and get config on RHEL
  * [apache] - Added collection of conf.modules.d dir for httpd 2.4
  * [apparmor] - Capture AppArmor profiles and status
  * [apport] - Add information on specific crashes
             - Move apport logging to apport plugin
  * [atomic] - Add plugin for Atomic Host
  * [block] - add 'blockdev --report'
          - collect /proc/diskstats
  * [boot] - Collect efibootmgr output
  * [ceph] - add calamari-server and librados2 to the package list (upstream/pmoravec-ceph-update)
         - add logs, report and calamari conf
  * [chrony] - add chrony plugin
  * [cluster] - add a couple pcs commands to the cluster plugin
            - add luci to packages for standalone luci servers
            - enable crm_report password scrubbing (upstream/sbradley-cluster_scrub_passwords)
  * [corosync] - add postprocessing for corosync-objctl output
  * [corosync/pacemaker] - Collect corosync-cfgtool -s output / add Pacemaker support
  * [devices] - New plugin to collect "udevadm info --export-db"
  * [docker] - add 'docker' to the package list for Red Hat distros
             - use splitelines() for command output
  * [docs] - add --chroot to sosreport.1
           - add --experimental to sosreport.1
           - Add prominent link to user focused docs
           - add -s/--sysroot to sosreport.1
           - fix documentation of --sysroot parameter
           - update man page for new options
  * [dpkg] - Collect debconf db, add verify and all logs options
  * [etcd] - split etcd functionality from kubernetes into new plugin
  * [firewalld] - work around command hangs in container environments
  * [foreman] - Skip collection of generic resources
  * [gdm] - add journalctl logs and systemctl status
  * [general] - Better handling --name and --ticket-number in interactive mode
  * [global] - make all utf-8 handling use errors='ignore'
  * [infiniband] - add opensm and infiniband-diags support
  * [iprconfig] - add plugin for IBM Power RAID adapters
  * [iscsi] - get iscsiadm -m node -P 1 instead of -P 3
  * [juju] - add generate-bundle option
           - Update log collection to have limits
  * [kernel] - collect directory listings for module updates
             - collect /sys/firmware/acpi/*
             - Collect clock source for all kernels
  * [kimchi] - add new plugin
  * [kubernetes] - add journal output for kube services
                 - add services and pod logs collection
                 - Change 'minions' to 'nodes'.
                 - new plugin
  * [landscape] - 15.01 moves logs files to landscape-server
                - Collect landscape status
                - Move landscape logs, add server support
  * [last] - information about login actions
  * [libvirt] - add listing of /var/lib/libvirt/qemu
              - Collect XML files from /var/run/libvirt
  * [lightdm] - add plugin
  * [logs] - add to storage profile
           - Implement all-logs, limits and small fixes.
           - Remove passwords from rsyslog
  * [manageiq] - New plugin for ManageIQ
  * [memory] - add ksm, swap and vmallocinfo data to plugin
             - collect swapon --show output in bytes
  * [monit] - add new plugin for monit monitoring
  * [mpt] - add plugin
  * [mysql] - Collect log file (upstream/sbradley-mysql_config_file)
            - improve handling of dbuser, dbpass and MYSQL_PWD
            - obtain dbpass from the environment
            - test for boolean values in user and password options
  * [navicli] - catch exception if input is unreadable
  * [networking] - add ethtool -d
                 - additional ip, firewall and traffic shaping commands
                 - brctl command is run when bridge kernel module is loaded only
                 - Collect "ethtool -T $NIC"
                 - Collect plotnetcfg output.
                 - Enable the networking on debian based systems
                 - gather per-namespace ip and ethtool data
                 - improve readability of nmcli handling
                 - iptables: check module version and do ipv6
                 - nmcli status is obtained from the output
                 - re-add 'ip addr' with a root symlink
  * [ntp] - Collect "ntpq -p" output
  * [openshift] - collect additional config files
                - Obfuscate DNS plugin credentials
                - Obfuscate only DNS plugin credential values
  * [openstack] - Add new controller and compute profiles.
                - Ensure openstack passwords and secrets are obfuscated.
                - New Ironic plugin.
                - New openstack_instack plugin.
                - New Openstack Trove (DBaaS) plugin.
  * [openstack_glance] - ensure class naming is consistent
  * [openstack_heat] - ensure class naming is consistent
  * [openstack_horizon] - Only use regex against configuration files
                        - fix legacy component detection test (upstream/bmr-openstack_neutron-pkgcheck)
                        - obfuscate server_auth in restproxy.ini
                        - Obscure passwords and secrets
  * [openstack_nova] - Limit log collection to .log files by default
  * [openstack_sahara] - add new plugin
                       - redact secrets from sahara configuration
  * [openstack_swift] - capture all swift logs


## sosreport 3.3

=== debian/changelog ===
sosreport (3.3-1) unstable; urgency=medium

  * New upstream release. This release includes a number of enhancements,
    new features, and bug fixes, including:

    - Support for OpenShift Enterprise 3.x
    - Improved and expanded OpenStack plugins
    - Enhanced support for Open vSwitch
    - Enhanced Kubernetes data collection
    - Improved support for systemd journal collection
    - Policy support for the SuSE family of Linux distributions
    - Policy support for the IBMKvm hypervisor distribution
    - Enhanced display manager and 3D acceleration data capture
    - Improved support for Linux clusters, including Pacemaker
    - Expanded CPU and NUMA topology collection
    - Expanded mainframe (s390x) coverage
    - Collection of multipath topology
 
  * Debian modifications :
    - Addition of DEP8 tests
    - Do not run Python2 only tests

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 05 Jul 2016 10:04:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: sosreport
-Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
-Uploaders: Adam Stokes <adam.stokes@ubuntu.com>
+Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
 Homepage: https://github.com/sosreport/sos
 X-Python3-Version: >= 3.3

## sosreport 3.3+git50-g3c0349b

=== debian/changelog ===
sosreport (3.3+git50-g3c0349b-2) unstable; urgency=medium

  * Fix sosreport displaying the wrong version number when
    executed (Closes: #850922)
  * Raise the standard version to 3.9.8

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 11 Jan 2017 10:43:37 +0100

sosreport (3.3+git50-g3c0349b-1) unstable; urgency=medium

  New release to allign to upstream release :
    * make class method instance names consistent
    * handle SIGTERM correctly in plugin setup()/collect() phases
    * Mention python3 and update Ubuntu note.
    * replace cluster plugin by dlm in sosreport help
    * plugin tracebacks when net-tools not installed
    * [sssd] Retrieve drop directory conf files
    * [openstack_sahara] capture all sahara* sudoers files
    * [systemd] Collect detailed runtime info on each unit
    * [juju] Get Ready for 2.0 and make it less likely to get too much
    * [dracut] add new plugin
    * [insights] Update some verbiage and collect all log files.
    * [docs] document use of --config with in-tree builds
    * [docker] Gather more data and expand plugin options
    * [osma] add omreport storage controller
    * [atomichost] fix collection of 'docker info' output
    *              improve 'atomic info' collection loop
    *              replace custom logic with Policy.in_container()
    *              fix option list style
    * [grub2] grub2-mkconfig loads ext4 and brctl kernel modules
    * [ceph] skip collecting of all keyring and bindpass files
    * new plugin npm : get project modules and globally installed modules
    * new plugin nodejs: get runtime info
    * new plugin virtwho: for virt-who agent

  Debian specific changes :
    * Fix mknod error in systemd plugin when sosreport is running
      in LXC containers

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 08 Dec 2016 12:37:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
 Homepage: https://github.com/sosreport/sos
 X-Python3-Version: >= 3.3

## sosreport 3.4

=== debian/changelog ===
sosreport (3.4-1~ubuntu17.04.1) zesty; urgency=medium

  * Release of the current artful 3.4 version that fixes some                                                    
    specific Ubuntu issues :                                                                                       
    - Collection of the OPAL msglog (LP: #1614052)                                                                 
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :                                                  
    - Inclusion of DEP8 tests to verify regression. This is required                                               
      to SRU to a new major version.                                                                               
    - Take into account the iscsi initiator config and logs (LP: #1605243)                                         
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <louis@ubuntu.com>  Tue, 25 Apr 2017 16:51:14 +0200

sosreport (3.4-1) unstable; urgency=medium

  * New upstream release v3.4
    New Features include :
        New plugins for :
        * virt-who
        *  nodejs
        *  npm
        *  dracut
        *  juju 2.0
        *  grafana
        *  nfsganesha
        *  collectd
        *  canonical_livepatch
        *  jars
        *  salt
        *  saltmaster
        *  storageconsole
        *  gnocchi
        *  crypto
        *  azure/Red Hat
        *  zfs
        Plugin API enhancements
        Internationalisation updates

  * Debian modifications :
    - Addition of DEP8 tests
    - Do not run Python2 only tests
    - d/p/0002-iscsi-Enable-plugin-for-Ubuntu-and-Debian.patch:
      Take into account the iscsi initiator config and logs

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 05 Apr 2017 13:30:22 +0200

sosreport (3.3+git50-g3c0349b-3) unstable; urgency=medium

  * d/p/0003-iscsi-Enable-plugin-for-Ubuntu-and-Debian.patch:
    Take into account the iscsi initiator config and logs (LP: #1605243)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 16 Feb 2017 16:32:07 +0100

## sosreport 3.5

=== docs/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+DOCDESTDIR    = ${DESTDIR}/usr/share/doc/sos
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
@@ -19,7 +20,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext install-dir install-html install-dirhtml install-singlehtml install-pickle install-json install-htmlhelp install-qthelp install-epub install-latex install-text install-man install-texinfo install-info install-gettext install-changes install-linkcheck install-doctest install-xml install-pseudoxml install
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -49,36 +50,79 @@
 clean:
 	rm -rf $(BUILDDIR)/*
 
+install-dir:
+	install -d -m 0755 ${DOCDESTDIR}
+
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
+install-html: install-dir
+	if test -d ${BUILDDIR}/html; then \
+		cp -r ${BUILDDIR}/html ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
+install-dirhtml: install-dir
+	if test -d ${BUILDDIR}/dirhtml; then \
+		cp -r ${BUILDDIR}/dirhtml ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 singlehtml:
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
+install-singlehtml: install-dir
+	if test -d ${BUILDDIR}/singlehtml; then \
+		cp -r ${BUILDDIR}/singlehtml ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
 pickle:
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
+install-pickle: install-dir
+	if test -d ${BUILDDIR}/pickle; then \
+		cp -r ${BUILDDIR}/pickle ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
 json:
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
+install-json: install-dir
+	if test -d ${BUILDDIR}/json; then \
+		cp -r ${BUILDDIR}/json ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 htmlhelp:
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
+
+install-htmlhelp: install-dir
+	if test -d ${BUILDDIR}/htmlhelp; then \
+		cp -r ${BUILDDIR}/htmlhelp ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
 
 qthelp:
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
@@ -89,6 +133,13 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SoS.qhc"
 
+install-qthelp: install-dir
+	if test -d ${BUILDDIR}/qthelp; then \
+		cp -r ${BUILDDIR}/qthelp ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
@@ -103,12 +154,26 @@
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
+install-epub: install-dir
+	if test -d ${BUILDDIR}/epub; then \
+		cp -r ${BUILDDIR}/epub ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
 	@echo "Run \`make' in that directory to run these through (pdf)latex" \
 	      "(use \`make latexpdf' here to do that automatically)."
+
+install-latex: install-dir
+	if test -d ${BUILDDIR}/latex; then \
+		cp -r ${BUILDDIR}/latex ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
 
 latexpdf:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
@@ -127,10 +192,25 @@
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text."
 
+install-text: install-dir
+	if test -d ${BUILDDIR}/text; then \
+		cp -r ${BUILDDIR}/text ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 man:
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+install-man:
+	if test -d ${BUILDDIR}/man; then \
+		gzip -c ${BUILDDIR}/man/sos.1 > ${BUILDDIR}/man/sos.1.gz; \
+		install -m644 ${BUILDDIR}/man/sos.1.gz $(DESTDIR)/usr/share/man/man1; \
+	else \
+		exit 0; \
+	fi
 
 texinfo:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
@@ -138,6 +218,13 @@
 	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
 	@echo "Run \`make' in that directory to run these through makeinfo" \
 	      "(use \`make info' here to do that automatically)."
+
+install-texinfo: install-dir
+	if test -d ${BUILDDIR}/texinfo; then \
+		cp -r ${BUILDDIR}/texinfo ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
 
 info:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
@@ -145,33 +232,79 @@
 	make -C $(BUILDDIR)/texinfo info
 	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
+install-info: install-dir install-texinfo
+
 gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
 	@echo
 	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
+install-gettext: install-dir
+	if test -d ${BUILDDIR}/locale; then \
+		cp -r ${BUILDDIR}/locale ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
+install-changes: install-dir
+	if test -d ${BUILDDIR}/changes; then \
+		cp -r ${BUILDDIR}/changes ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
+
+install-linkcheck: install-dir
+	if test -d ${BUILDDIR}/linkcheck; then \
+		cp -r ${BUILDDIR}/linkcheck ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
 
 doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
+install-doctest: install-dir
+	if test -d ${BUILDDIR}/doctest; then \
+		cp -r ${BUILDDIR}/doctest ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 xml:
 	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
 	@echo
 	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
 
+install-xml: install-dir
+	if test -d ${BUILDDIR}/xml; then \
+		cp -r ${BUILDDIR}/xml ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
 pseudoxml:
 	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
+
+install-pseudoxml: install-dir
+	if test -d ${BUILDDIR}/pseudoxml; then \
+		cp -r ${BUILDDIR}/pseudoxml ${DOCDESTDIR}; \
+	else \
+		exit 0;	\
+	fi
+
+install: install-html install-dirhtml install-singlehtml install-pickle install-json install-htmlhelp install-qthelp install-epub install-latex install-text install-man install-texinfo install-info install-gettext install-changes install-linkcheck install-doctest install-xml install-pseudoxml

=== debian/changelog ===
sosreport (3.5-1~ubuntu14.04.3) trusty; urgency=medium

  * d/p/Fix-string-decoding-for-debug-log-output.patch:
    Fix bug in _collect_strings that causes error trying to str.decode()
    (LP: #1761442)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 05 Jun 2018 10:52:56 -0400

sosreport (3.5-1~ubuntu14.04.2) trusty; urgency=medium

  * d/p/0003-fix-name-containers-is-not-defined.patch:
    "containers" is an unknown variable, "insp" is the correct one.
    (LP: #1734983)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 25 Jan 2018 16:01:03 -0500

sosreport (3.5-1~ubuntu14.04.1) trusty; urgency=medium

  * New upstream release v3.5 (LP: #1734983)
    New features include :
        New plugins for :
        * perl
        * boom
        * vdo
        * os_net_config
        * conntrackd
        * ovirt_imageio
        * nss
        * sas3ircu
        * openstack_aodh
        * docker_distribution
        * gluster_block
        * snappy

  * Plugin API enhancements
        * Plugin triggers by executable name
        * Improved log size limit handling
        * Better handling of compressed log files
        * Per-plugin package verification lists

  * Updates to 227 plugins

  * Debian modifications:
    - Addition of DEP8 tests
    - Do not run Python2 only tests

  * d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch:
    Fixing severe regression where many "packages = <PKG_NAME>" lines are no
    longer working in Debian/Ubuntu. Preventing automatic package detection.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 03 Jan 2018 17:23:29 -0500

sosreport (3.4-1~ubuntu14.04.1) trusty; urgency=medium

  * Release of the current artful 3.4 version that fixes some                                                    
    specific Ubuntu issues :                                                                                       
    - Collection of the OPAL msglog (LP: #1614052)                                                                 
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :                                                  
    - Inclusion of DEP8 tests to verify regression. This is required                                               
      to SRU to a new major version.                                                                               
    - Take into account the iscsi initiator config and logs (LP: #1605243)                                         
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <louis@ubuntu.com>  Tue, 25 Apr 2017 16:34:41 +0200

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git
export PYBUILD_NAME=sosreport
export PYBUILD_DISABLE_python2=1
export PYBUILD_BEFORE_BUILD=make updateversion
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/sosreport/ \
	--install-data=usr/ \
	--install-scripts=usr/share/sosreport/ \
	--root=$(CURDIR)/debian/sosreport/ \
	--no-compile -O0

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: sos-run-nonroot.py
Depends: sosreport
Restrictions: allow-stderr

Tests: sos-run.py
Depends: sosreport
Restrictions: needs-root, allow-stderr

## sosreport 3.6

=== debian/changelog ===
sosreport (3.6-1) unstable; urgency=medium

  * New 3.6 upstream release.
    major enhancements to core features and existing plugins:

    - better package manager version information
    - policy support for detecting package managed files
    - fixed exit status propagation
    - deprecated optparse replaced with argparse
    - simplified and improved SoSOptions interface
    - better error handling during interactive prompting
    - allow journal collection by identifier
    - allow collection of journal message catalogs
    - support for collecting binary file data
    - more fine-grained system plugins (date etc.)
    - policy defined report file name patterns
       - more human-readable report file names by default
    - increased default log size (25MiB vs. 10MiB)
    - support for forbidden path lists and forbid logging
    - support for enabling plugins by kernel module name
    - support for enabling plugins by executable name
    - support for collecting eBPF (bpftool) data
    - support for device information via add_udev_info()
    - support for detecting and reporting unpackaged binaries
    - optional collection of the RPMDB
    - improved archive compression level and multithreading
    - default log size increased from 10MiB to 25MiB
    - improved debug logging and ENOSPC handling
    - major updates to the IPA plugin
    - major updates to the Docker plugin
    - string decoding fixes
    - DNF and Yum module support
    - OpenShift 3.10 support
    - Python3 fixes

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.6

  * Debian specific modifications :
    - Omit Python2 only unittests
    - Avoid distutils in lstopo plugin

  * Former debian modifications now fixed upstream:
    - d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch:
    - d/p/0003-fix-name-containers-is-not-defined.patch:
    - Fix-string-decoding-for-debug-log-output.patch

 -- Louis Bouchard <louis@ubuntu.com>  Mon, 24 Sep 2018 09:24:07 +0000

sosreport (3.5-1ubuntu4) cosmic; urgency=medium

  * d/p/Fix-string-decoding-for-debug-log-output.patch:
    Fix bug in _collect_strings that causes error trying to str.decode()
    (LP: #1761442)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 05 Jun 2018 10:52:56 -0400

sosreport (3.5-1ubuntu3) bionic; urgency=medium

  * Avoid using distutils during runtime.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Apr 2018 10:48:13 +0200

sosreport (3.5-1ubuntu2) bionic; urgency=medium

  * d/p/0003-fix-name-containers-is-not-defined.patch:
    "containers" is an unknown variable, "insp" is the correct one.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 15 Jan 2018 18:39:54 -0500

sosreport (3.5-1ubuntu1) bionic; urgency=medium

  * d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch:
    Fixing severe regression where many "packages = <PKG_NAME>" lines are no
    longer working in Debian/Ubuntu. Preventing automatic package detection.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 05 Dec 2017 17:04:34 +0000

sosreport (3.5-1) unstable; urgency=medium

  * testNew upstream release v3.5
    New Features include :
        New plugins for :
        * perl
        * boom
        * vdo
        * os_net_config
        * conntrackd
        * ovirt_imageio
        * nss
        * sas3ircu
        * openstack_aodh
        * docker_distribution
        * gluster_block
        * snappy

    Plugin API enhancements
        * Plugin triggers by executable name
        * Improved log size limit handling
        * Better handling of compressed log files
        * Per-plugin package verification lists

    Updates to 227 plugins

  * Debian modifications :
    - Addition of DEP8 tests
    - Do not run Python2 only tests

 -- Louis Bouchard <louis@ubuntu.com>  Thu, 16 Nov 2017 12:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: sosreport
-Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
+Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
+Uploaders: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six,
+		python-futures
 Homepage: https://github.com/sosreport/sos
 X-Python3-Version: >= 3.3
+Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
+Vcs-Git: git@salsa.debian.org:sosreport-team/sosreport.git
 
 Package: sosreport
 Architecture: any
